<section class="bg-gray">
    <div class="container py-4">
        <div class="row">
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0">
                        <li class="breadcrumb-item text-gray">
                            <a href="/home" style="color: #7987A1;">Home</a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Category</li>
                    </ol>
                </nav>
                <ng-container  *ngIf="_DataService.pager?.pages && _DataService.pager?.pages.length">
                    <nav aria-label="Page navigation example" class="d-flex justify-content-end ml-auto">
                        <ul class="pagination listing-pagination">
                        <li class="page-item" (click)="_DataService.setPage(_DataService.pager.currentPage - 1, '_GetDeals')" [ngClass]="{disabled: _DataService.pager.currentPage === 1}">
                            <a class="page-link" href="javascript:void(0)"><i class="fa fa-chevron-left"></i></a>
                            </li>
                        <li class="page-item" *ngFor="let page of _DataService.pager.pages">
                            <a class="page-link" href="javascript:void(0)" (click)="_DataService.setPage(page, '_GetDeals')" [ngClass]="{activePage: _DataService.pager.currentPage === page}">{{page}}</a>
                            </li>
                        <li class="page-item" [ngClass]="{disabled: _DataService.pager.currentPage === _DataService.pager.totalPages}">
                            <a class="page-link" href="javascript:void(0)" (click)="_DataService.setPage(_DataService.pager.currentPage + 1, '_GetDeals' )"><i class="fa fa-chevron-right"></i></a>
                            </li>
                        </ul>
                    </nav>
                </ng-container>
            </div>
            
            <div class="container" *ngIf="noCategoryFound">
                <h2 class="text-center">Category <i>"{{CategoryKey}}"</i> not found</h2>
            </div>
            <div class="col-md-12 mt-4 mb-4">
                <div class="page-title-h5 d-flex align-items-center">
                    <h5 class="my-0">All Product Deals</h5>
                    <div class="dropdown ml-auto">
                        <a class="btn btn-secondary dropdown-toggle btn-sm border-white-btn" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Sort by: <span class="text-theme">{{_DataService.DealsSortOrder}}</span> &nbsp;&nbsp;
                        </a>
                        <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" (click)="_SortBy('Popularity')">Popularity</a>
                            <a class="dropdown-item" (click)="_SortBy('Discount')">Discount</a>
                            <a class="dropdown-item" (click)="_SortBy('Total Savings')">Total Savings</a>
                            <a class="dropdown-item" (click)="_SortBy('Newest')">Newest</a>
                            <a class="dropdown-item" (click)="_SortBy('Amount')">Amount</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-3 col-sm-4">
                <div class="filters shadow-sm rounded" style="background-color: #fff;">
                    <div class="filters-header border-bottom pl-4 pr-4 pt-3 pb-3 d-flex justify-content-between">
                        <h6 class="m-0">Filter By</h6>
                        <div>
                            <button class="clear-filter_btn" (click)="ResetFilters()">Clear filter
                               <img src="assets/images/content/cross.svg" alt="">
                            </button>
                        </div>
                    </div>
                    <div class="filters-body">
                        <div id="accordion">
                            <div class="filters-card border-bottom p-4">
                                <div class="filters-card-header">
                                    <h6 class="mb-0">
                                        <a class="btn-link">
                                            Categories
                                        </a>
                                    </h6>
                                </div>
                                <div class="collapse show">
                                    <div class="filters-card-body card-shop-filters">
                                        <div class="filters-search mb-3">
                                            <div class="form-group">
                                                <i class="icofont-search"></i>
                                                <input type="text" class="form-control" [(ngModel)]="CategorySearchContent" placeholder="Search category" (keyup)="_SearchCategory()">
                                            </div>
                                            <span class="badge badge-light" *ngFor="let TItem of _DataService._CategoriesSelected ; let i = index" (click)="_CategorySelected(TItem, $event)">{{TItem.Name}}</span>
                                        </div>
                                        <div class="store-list">
                                            <div class="custom-control custom-checkbox" *ngFor="let TItem of _DataService._CategoriesSorted ; let i = index">
                                                <input type="checkbox" class="custom-control-input" id="cat_{{i}}" (click)="_CategorySelected(TItem, $event)" [(ngModel)]="TItem.IsChecked">
                                                <label class="custom-control-label" for="cat_{{i}}">{{TItem.Name}}
                                                    ({{TItem.Deals}})
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="filters-card border-bottom p-4" *ngIf="_DataService._CategoriesSelected.length">
                                <div class="filters-card-header">
                                    <h6 class="mb-0">
                                        <a class="btn-link">
                                            Sub-Categories
                                        </a>
                                    </h6>
                                </div>
                                <div class="collapse show">
                                    <div class="filters-card-body card-shop-filters">
                                        <div class="store-list">
                                            <div class="custom-control custom-checkbox" *ngFor="let TItem of _DataService._SubCategoriesSorted ; let i = index">
                                                <input type="checkbox" class="custom-control-input" id="Subcat_{{i}}" (click)="_SubCategorySelected(TItem)" [(ngModel)]="TItem.IsChecked">
                                                <label class="custom-control-label" for="Subcat_{{i}}">{{TItem.Name}}
                                                    ({{TItem.Deals}})
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="filters-card border-bottom p-4">
                                <div class="filters-card-header">
                                    <h6 class="mb-0">
                                        <a class="btn-link">
                                            Stores
                                        </a>
                                    </h6>
                                </div>
                                <div class="collapse show">
                                    <div class="filters-card-body card-shop-filters">
                                        <div class="filters-search mb-3">
                                            <div class="form-group">
                                                <i class="icofont-search"></i>
                                                <input type="text" class="form-control" [(ngModel)]="MerchantSearchContent" placeholder="Search stores" (keyup)="_SearchMerchant()">
                                            </div>
                                            <span class="badge badge-light" *ngFor="let TItem of _DataService._MerchantSelected ; let i = index" (click)="_MerchantSelected(TItem)">{{TItem.Name}}</span>

                                        </div>
                                        <div class="store-list">
                                            <div class="custom-control custom-checkbox" *ngFor="let TItem of _DataService._MerchantsSorted ; let i = index">
                                                <input type="checkbox" class="custom-control-input" id="str_{{i}}" (click)="_MerchantSelected(TItem)" [(ngModel)]="TItem.IsChecked">
                                                <label class="custom-control-label" for="str_{{i}}">{{TItem.Name}}
                                                    ({{_DataService._CategoriesSelected.length > 0 ? TItem.TotalDeals : TItem.Deals}})
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="filters-card border-bottom p-4">
                                <div class="filters-card-header d-flex justify-content-between">
                                    <div>
                                        <h6 class="mb-0">
                                            <a class="btn-link">
                                                Price
                                            </a>
                                        </h6> 
                                    </div>
                                    <div>
                                        <a class="text-primary pointer text-sm" (click)="_SearchByPrice()">Apply</a>
                                    </div>
                                </div>
                                <div class="collapse show">
                                    <div class="filters-card-body card-shop-filters">
                                        
                                        <div>
                                            <ngx-slider [(value)]="minValue" [(highValue)]="maxValue" 
                                                [options]="options"
                                                (userChange)="userChange($event)"></ngx-slider>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-5 pr-2">
                                                <div class="form-group">
                                                    <label for="minPrice">Min Price</label>
                                                    <input type="text" class="form-control" [(ngModel)]="minValue" placeholder="Min" id="minPrice">
                                                </div>
                                            </div>
                                            <div class="col-2 align-self-center">
                                                <label>&nbsp;</label>
                                                <span>to</span>
                                            </div>
                                            <div class="col-5 pl-2">
                                                <div class="form-group">
                                                    <label for="maxPrice">Max Price</label>
                                                    <input type="text" class="form-control" [(ngModel)]="maxValue" placeholder="Max" id="maxPrice">
                                                </div>
                                            </div>
                                        </div>
                                        <div style="width: 100%; height: 200px; overflow: auto;margin-top: 16px;">
                                            <div (click)="_PricingClick(TItem)" style="    color: #8492A6;
                                            cursor: pointer;
                                            margin: 0 0 4px;
                                            width: 100%;
                                            margin-bottom: 6px;" *ngFor="let TItem of _Pricings ; let i = index">
                                                <label for="strprice_{{i}}">{{TItem.Title}}
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-9 col-sm-8 deals-auto-scroll">
                <div class="row" id="deals-carousel">
                    <ng-container *ngIf="_HelperService.IsProcessing">
                        <div class="col-xl-4 col-md-6 col-sm-12 mb-4 p-0" *ngFor="let TItem of [1,2,3,4,5,6]">
                            <div>
                                <div class="custom-card skeleton-card shadow-sm h-100 bg-white border">
                                    <div class="custom-card-image">
                                        <div class="img-fluid item-img">
                                            <ngx-skeleton-loader count="1" [theme]="{width: '100%', height: '220px', 'margin-bottom': '0', 'border-radius': '10px'}"></ngx-skeleton-loader>
                                        </div>
                                    </div>
                                    <div class="p-3 pt-4">
                                        <div class="custom-card-body">
                                            <h6 class="mb-3 ">
                                                <ngx-skeleton-loader count="1" [theme]="{width: '100%', height: '20px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                                            </h6>
                                            <p>
                                                <ngx-skeleton-loader count="1" [theme]="{width: '80%', height: '15px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                                            </p>
                                        </div>
                                        <div class="custom-card-footer mb-2 d-flex align-items-center">
                                            <div class="mr-4 d-flex justify-content-center">
                                                <ngx-skeleton-loader count="1" [theme]="{width: '75px', height: '35px', 'margin-bottom': '0', 'background-color':'#B11A8330'}"></ngx-skeleton-loader><br>
                                            </div>
                                            <div class="text-black actualprice">
                                                <ngx-skeleton-loader count="1" [theme]="{width: '100px', height: '15px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ng-container>
                    <ng-container *ngIf="!_HelperService.IsProcessing">
                        <div class="col-xl-4 col-md-6 col-sm-12 mb-4 p-0" *ngFor="let TItem of _DataService._Deals">
                            <a (click)="navigateToRoute(['/buydeal/', TItem.Slug], TItem, $event)" class="cursor-pointer">
                                <div class="custom-card shadow-sm h-100 bg-white border" [ngStyle]="{'opacity': TItem.IsSoldout ? '0.7': '1'}">
                                    <span class="dealtimer" *ngIf="TItem.IsSoldout">
                                        SOLD OUT
                                    </span>
                                    <!-- <span class="Wishlist" *ngIf="!TItem.IsBookmarked" (click)="_DataService.WishlistDeal($event, TItem)">
                                        <i class="icofont-heart"></i>
                                    </span>
                                    <span class="Wishlist" *ngIf="TItem.IsBookmarked" (click)="_DataService.WishlistDeal($event, TItem)">
                                        <i class="icofont-heart-alt text-danger"></i>
                                    </span>
                                    <span class="dealtimer" *ngIf="!TItem.IsSoldout && TItem.CountdownConfig.isTimeLessThanDay">
                                        <i class="icofont-clock-time"></i>&nbsp;<countdown
                                            [config]=" TItem.CountdownConfig"></countdown>
                                    </span> -->
                                    <div class="custom-card-image">
                                        <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                    </div>
                                    <div class="p-3 pt-4">
                                        <div class="custom-card-body">
                                            <div class="mb-2 Ttitle">
                                                <a class="text-black text-limit-2">{{TItem.Title}}</a>
                                            </div>
                                            <p class="text-limit-1">
                                                <i class="fa fa-location-dot"></i>&nbsp;{{TItem?.CityAreaName}},{{TItem?.CityName}}
                                            </p>
                                        </div>
                                        <div class="custom-card-footer mb-2 d-flex justify-content-between">
                                            <div class="d-flex">
                                                <div class="discount-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                                                </div>
                                                <div class="actual-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.ActualPrice | number: "1.0-1" || "--"}}
                                                </div> 
                                            </div>
                                            <div>
                                                <button class="discount-btn btn">{{TItem.DiscountPercentage}} % off</button>
                                            </div>
                                        </div>
                                        <div class="expiry-section" *ngIf="TItem.IsFlashDeal">
                                            <span>Expire in  <countdown [config]="{leftTime: flashCountDown}"></countdown>  
                                                    ({{TItem.ItemCount}} units left)
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </div>
                    </ng-container>
                    <div *ngIf="!_HelperService.IsProcessing && _DataService._Deals.length === 0">
                        <ng-container *ngIf="no_result_found">
                            <div class="card" style="height: 391px;">
                                <div class="container_nosearch">
                                    <img src="../../../../assets/images/no_result_found.png" class="bg_image">
                                    <div class="background-bars">
                                        <div style="width: 40em;height: 25px;;background-color: rgba(217, 217, 217, 0.28);margin-top: 60px; margin-left: 5em;">
                                        </div>
                                        <div class="bars" style="width: 40em;height: 25px;;background-color: rgba(217, 217, 217, 0.28);">
                                        </div>
                                        <div class="bars" style="width: 40em;height: 25px;;background-color: rgba(217, 217, 217, 0.28);margin-left: 6em;">
                                        </div>
                                    </div>
                                </div>
                                <h6 class="text-center mb-4 pb-4 ">No Deals Found </h6>
                                
                            </div>
                        </ng-container>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- <div class="search-results" infinite-scroll [infiniteScrollDistance]="scrollDistance" [infiniteScrollUpDistance]="scrollUpDistance" [infiniteScrollThrottle]="throttle" (scrolled)="onScrollDown()" (scrolledUp)="onUp()"></div> -->